//matW: bbm matrix

//@vs
/////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef V_SHADER

void main () 
{	
	float3 rotP = (matW * float4(0.0, NOR0.y, NOR0.z, 0.0)).xyz;
	float3 wP = POS0.xyz + rotP;

	vs_out_p = matVP * float4(wP, 1.0);
	vs_out_0 = CLR0.xyzw;
	vs_out_1 = float4 (TUV0.xy, 0, 0);
}

#endif



//@ps
/////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef P_SHADER

#define DiffColor		ps_in_0.xyzw
#define TexUV				ps_in_1.xy

void main () 
{ 
	float4 rcolor = texture2D (c_samp0, TexUV).xyzw * DiffColor;	
	ps_out_c = rcolor;
}

#endif
