
//@vs
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef V_SHADER

void main () 
{	
	float3 wP = (matW * POS0).xyz;
	float3 diff = float3 (Ambient, Ambient, Ambient) + (SunColor * CLR0.w) + (CLR0.xyz * 5.0);
	
#ifdef sd_Light
	diff += calc_distance_light (wP, PointLight0Pos, PointLight0Clr);
	//diff += calc_distance_light (wP, PointLight1Pos, PointLight1Clr);
	//diff += calc_distance_light (wP, PointLight2Pos, PointLight2Clr);
#endif

	vs_out_p = matVP * float4 (wP.xyz, 1.0);
	vs_out_0 = float4 (diff.xyz * UserColor.xyz, UserColor.w);
	//vs_out_0 = float4 (diff.xyz, UserColor.w);
	vs_out_1 = float4 (TUV0.xy, 0,0);
}

#endif



//@ps
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef P_SHADER

	#define DiffColor		ps_in_0.xyzw
	#define TexUV				ps_in_1.xy

void main () 
{ 
	ps_out_c = texture2D (c_samp0, TexUV ) * DiffColor;
}

#endif







