//@vs
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef V_SHADER

	void main () 
	{	
		vs_out_p = matWVP * float4 (POS0.x, POS0.y, POS0.z+DecalGabZ, POS0.w);
		vs_out_0 = CLR0;
		vs_out_1 = CLR1;
		vs_out_2 = UserColor;
		vs_out_3 = float4 (TUV0.xy, TUV1.xy);
	}

#endif


//@ps
///////////////////////////////////////////////////////////////////////////////////////////////////////
#ifdef P_SHADER

	#define DiffColor0			ps_in_0
	#define DiffColor1			ps_in_1
	#define DiffColor2			ps_in_2
	#define TileUV0					ps_in_3.xy
	#define TileUV1					ps_in_3.zw
	
	void main () 
	{ 
#ifdef sd_Decal1X
		float4 texA = texture2D (c_samp0, TileUV0) * DiffColor0.xyzw;
		float sum = saturate ( texA.x + texA.y + texA.z + texA.w );
		ps_out_c = float4 (1,0,0,1);//DiffColor2.xyz, sum*DiffColor2.w);
#endif

#ifdef sd_Decal2X
		float4 texA = texture2D (c_samp0, TileUV0) * DiffColor0.xyzw;
		float4 texB = texture2D (c_samp0, TileUV1) * DiffColor1.xyzw;
		float sum = saturate ( texA.x + texA.y + texA.z + texA.w +  texB.x + texB.y + texB.z + texB.w );
		ps_out_c = float4 (DiffColor2.xyz, sum*DiffColor2.w);
#endif

	}

#endif


